<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:param name="nameParam">ankit</xsl:param>

  <xsl:template match="user">
    <h1>List of user in the XML document</h1>
    <table border="1" cellpadding="3">
      <th>FirstName</th><th>MidName</th><th>LastName</th><th>Age</th>
      <xsl:apply-templates />
    </table>
  </xsl:template>

  <xsl:template match="information">
    <xsl:call-template name="processuser">
      <xsl:with-param name="nameParam">
        amit
      </xsl:with-param>
    </xsl:call-template>
  </xsl:template>

  <xsl:template name="processuser">
     <tr>
      <td>
        <xsl:value-of select="fname/text()" />
	<xsl:if test="fname/text() != $nameParam">
            [new value]
        </xsl:if>
      </td>
       <td>
        <xsl:value-of select="mname/text()" />
      </td>
       <td>
        <xsl:value-of select="lname/text()" />
      </td>
      <td>
        <xsl:value-of select="age/text()" />
      </td>
    </tr>    
  </xsl:template>
</xsl:transform>